Cyan Web API - Version 1


GET api/nodeIndices/{nodeIndexId}

            Gets a NodeIndex
            

Request Information

Parameters

NameDescriptionAdditional information
nodeIndexId

Define this parameter in the request URI.

Response Information

Response body formats

application/json, text/json

Sample:
{
  "nodeIndexId": "43b3f4cb-f625-443a-86e0-95fae42266ed",
  "tenantId": "c9f46d72-9960-4981-9309-7c3c538c5f06",
  "propertyKey": "sample string 3",
  "propertyValue": "sample string 4",
  "nodeId": "19d49e19-6ffe-4f6b-8b13-6d586d5a2693",
  "nodeCyanId": 6,
  "cyanId": 7,
  "createdDateUtc": "2026-08-11T02:18:35.7920702+00:00",
  "updatedDateUtc": "2026-08-11T02:18:35.7920702+00:00"
}

application/xml, text/xml

Sample:
<NodeIndexRepresentation xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/BlueDot.Cyan.Server.Core.Models.Rest.Version1">
  <CreatedDateUtc>2026-08-11T02:18:35.7920702+00:00</CreatedDateUtc>
  <UpdatedDateUtc>2026-08-11T02:18:35.7920702+00:00</UpdatedDateUtc>
  <CyanId>7</CyanId>
  <NodeCyanId>6</NodeCyanId>
  <NodeId>19d49e19-6ffe-4f6b-8b13-6d586d5a2693</NodeId>
  <NodeIndexId>43b3f4cb-f625-443a-86e0-95fae42266ed</NodeIndexId>
  <PropertyKey>sample string 3</PropertyKey>
  <PropertyValue>sample string 4</PropertyValue>
  <TenantId>c9f46d72-9960-4981-9309-7c3c538c5f06</TenantId>
</NodeIndexRepresentation>